// Part of BNC, a utility for retrieving decoding and
// converting GNSS data streams from NTRIP broadcasters.
//
// Copyright (C) 2007
// German Federal Agency for Cartography and Geodesy (BKG)
// http://www.bkg.bund.de
// Czech Technical University Prague, Department of Geodesy
// http://www.fsv.cvut.cz
//
// Email: euref-ip@bkg.bund.de
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation, version 2.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

/* -------------------------------------------------------------------------
 * BKG NTRIP Client
 * -------------------------------------------------------------------------
 *
 * Class:      t_pppWidgets
 *
 * Purpose:    This class stores widgets for PPP options
 *
 * Author:     L. Mervart
 *
 * Created:    29-Jul-2014
 *
 * Changes:    
 *
 * -----------------------------------------------------------------------*/

#include <iostream>

#include "PPP/pppwidgets.h"
#include "qtfilechooser.h"

using namespace std;

// Constructor
////////////////////////////////////////////////////////////////////////////
t_pppWidgets::t_pppWidgets() {
  _dataSource   = new QComboBox();     _dataSource  -> setObjectName("dataSource");
  _rinexObs     = new qtFileChooser(); _rinexObs    -> setObjectName("rinexObs");
  _rinexNav     = new qtFileChooser(); _rinexNav    -> setObjectName("rinexNav");
  _corrHostPort = new QLineEdit();     _corrHostPort-> setObjectName("corrHostPort"); 
  _corrFile     = new qtFileChooser(); _corrFile    -> setObjectName("corrFile"); 
  _crdFile      = new qtFileChooser(); _crdFile     -> setObjectName("crdFile");
  _antexFile    = new qtFileChooser(); _antexFile   -> setObjectName("antexFile");
  _logFile      = new QLineEdit();     _logFile     -> setObjectName("logFile");
  _nmeaFile     = new QLineEdit();     _nmeaFile    -> setObjectName("nmeaFile");
  _nmeaPort     = new QLineEdit();     _nmeaPort    -> setObjectName("nmeaPort");
  _staTable     = new QTableWidget();  _staTable    -> setObjectName("staTable");
  _lcGPS        = new QComboBox();     _lcGPS       -> setObjectName("lcGPS");
  _lcGLONASS    = new QComboBox();     _lcGLONASS   -> setObjectName("lcGLONASS");
  _lcGalileo    = new QComboBox();     _lcGalileo   -> setObjectName("lcGalileo");
  _sigmaC1      = new QLineEdit();     _sigmaC1     -> setObjectName("sigmaC1");
  _sigmaL1      = new QLineEdit();     _sigmaL1     -> setObjectName("sigmaL1");
  _corrWaitTime = new QSpinBox();      _corrWaitTime-> setObjectName("corrWaitTime");
}

